Bug 508367 - Firstboot producing "condrestart is obsolete, use try-restart instead"
Firstboot producing "condrestart is obsolete, use try-restart instead"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: authconfig (Show other bugs)
6.0
All Linux
low Severity low
: rc
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 14:41 EDT by Jay Turner
Modified: 2015-01-07 19:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-23 16:16:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Turner 2009-06-26 14:41:37 EDT
Description of problem:
When running authconfig as part of firstboot, there's a whole list of services which get conditionally restarted via "service <service> condrestart" That's all fine and dandy except it appears that vncserver decided that "condrestart" was too complicated and that "try-restart" made more sense (although they both call identical code!)  Anyway, net result is that firstboot spits out a message when the vncserver gets conditionally restarted, "condrestart is obsolete, use try-restart instead"  It's completely insane to have to special case vncserver, but the other choice is carting around a patch to vncserver to remove the error.  I fear that down the road the "condrestart" stanza will go away leaving us in a position where the vncserver doesn't get restarted.

Version-Release number of selected component (if applicable):
5.4.10-1.fc11

How reproducible:
Always

Steps to Reproduce:
1. Run firstboot and launch the authconfig dialog
2. Click "OK" to continue
OR
1. Run "authconfig-gtk --firstboot" (same thing that firstboot does)
2. Click "OK" to continue
  
Actual results:
Will get an error on the terminal

Expected results:
vncserver gets called with "try-restart" instead of "condrestart"
Comment 1 Tomas Mraz 2009-07-03 09:33:00 EDT
Adam, would it be possible to remove the error message?

I don't think we will start to remove condrestart from the init scripts any time soon and try-restart is unfortunately not yet implemented by all the init scripts called by authconfig.
Comment 2 Adam Tkac 2009-07-13 06:46:59 EDT
(In reply to comment #1)
> Adam, would it be possible to remove the error message?

Fixed in tigervnc-0.0.91-0.13.fc12.1

> I don't think we will start to remove condrestart from the init scripts any
> time soon and try-restart is unfortunately not yet implemented by all the init
> scripts called by authconfig.
Comment 3 Jay Turner 2009-10-23 16:16:13 EDT
Fix confirmed with 1.0.0-1.el6.x86_64.

Note You need to log in before you can comment on or make changes to this bug.